chop
chunk_split
String Functions
PHP Manual

# chr

(PHP 4, PHP 5)

chr — Return a specific character

### Description

string chr ( int `$ascii` )

Returns a one-character string containing the character specified by `ascii` .

This function complements ord().

### Parameters

`ascii`

  The ascii code.

### Return Values

Returns the specified character.

### Changelog

Version | Description
--- | ---
6.0.0 | This function now uses codepoint as input.

### Examples

Example #1 chr() example

`<?php
$str = "The string ends in escape: ";
$str .= chr(27); /* add an escape character at the end of $str */
/* Often this is more useful */
$str = sprintf("The string ends in escape: %c", 27);
?>`

### See Also

- sprintf() - Return a formatted string with a format string of %c
- ord()
- An » ASCII-table

chop
chunk_split
String Functions
PHP Manual